<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class ChangeV2IsPaidDeliveryPolygonsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $ids = '312, 412, 1028, 29, 1484, 192, 1193, 762, 1491, 1591, 1334, 339, 654, 1351, 418, 474, 1476, 482, 1176, 76,
                1143, 877, 69, 241, 449, 1271, 832, 845, 431, 1648, 711, 457, 462, 811, 675, 659, 657, 611, 829, 1623, 1555, 189,
                663, 1347, 86, 168, 716, 120, 206, 804, 279, 1365, 813, 1389, 756, 1067, 89, 1071, 1640, 1070, 531, 1557, 869,
                1026, 390, 694, 987, 973, 890, 1565, 190, 1600, 540, 748, 144, 436, 1055, 1496, 750, 1472, 154, 186, 204, 752,
                974, 1376, 122, 1318, 819, 944, 665, 768, 959, 1155, 361, 4, 1114, 90, 1419, 438, 794, 1590, 519, 985, 54, 141, 936, 1220, 505, 1545, 1266, 1038, 751, 740, 828, 851, 1214, 876, 196, 572, 954,
                1452, 1218, 543, 542, 1455, 71, 1144, 800, 1265, 70, 545, 1282, 322, 591, 49, 967, 1341, 494, 64, 1355, 142,
                367, 558, 1536, 787, 1602, 689, 1263, 1471, 44, 1398, 883, 952, 730, 827, 1239, 1380, 1285, 1036, 576, 347,
                446, 839, 1361, 554, 1327, 539, 88, 989, 1580, 379, 1350, 181, 569, 1397, 259, 734, 1105, 37, 700, 964, 1197,
                718, 1586, 504, 1462, 710, 568, 603, 682, 119, 306, 364, 601, 1225, 496, 407, 231, 763';

        DB::table('polygons')
            ->whereIn('id', array_map('intval', explode(',', $ids)))
            ->update([
                'is_delivery_chargeable' => true
            ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $ids = '312, 412, 1028, 29, 1484, 192, 1193, 762, 1491, 1591, 1334, 339, 654, 1351, 418, 474, 1476, 482, 1176, 76,
                1143, 877, 69, 241, 449, 1271, 832, 845, 431, 1648, 711, 457, 462, 811, 675, 659, 657, 611, 829, 1623, 1555, 189,
                663, 1347, 86, 168, 716, 120, 206, 804, 279, 1365, 813, 1389, 756, 1067, 89, 1071, 1640, 1070, 531, 1557, 869,
                1026, 390, 694, 987, 973, 890, 1565, 190, 1600, 540, 748, 144, 436, 1055, 1496, 750, 1472, 154, 186, 204, 752,
                974, 1376, 122, 1318, 819, 944, 665, 768, 959, 1155, 361, 4, 1114, 90, 1419, 438, 794, 1590, 519, 985, 54, 141, 936, 1220, 505, 1545, 1266, 1038, 751, 740, 828, 851, 1214, 876, 196, 572, 954,
                1452, 1218, 543, 542, 1455, 71, 1144, 800, 1265, 70, 545, 1282, 322, 591, 49, 967, 1341, 494, 64, 1355, 142,
                367, 558, 1536, 787, 1602, 689, 1263, 1471, 44, 1398, 883, 952, 730, 827, 1239, 1380, 1285, 1036, 576, 347,
                446, 839, 1361, 554, 1327, 539, 88, 989, 1580, 379, 1350, 181, 569, 1397, 259, 734, 1105, 37, 700, 964, 1197,
                718, 1586, 504, 1462, 710, 568, 603, 682, 119, 306, 364, 601, 1225, 496, 407, 231, 763';

        DB::table('polygons')
            ->whereIn('id', array_map('intval', explode(',', $ids)))
            ->update([
                'is_delivery_chargeable' => false
            ]);
    }
}
